/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.DiagramaAutobus;
import com.rjconsultores.ventaboletos.entidad.RolOperativo;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

/**
 * 
 * @author Rafius
 */
public interface RolOperativoService {

	public List<RolOperativo> obtenerTodos();

	public RolOperativo obtenerID(Integer id);

	public RolOperativo suscribir(RolOperativo entidad);

	public RolOperativo actualizacion(RolOperativo entidad);

	public void borrar(RolOperativo entidad) throws RegistroConDependenciaException;

	public List<RolOperativo> pesquisar(DiagramaAutobus diagrama, String rol);

	public List<RolOperativo> buscar(String descroloperativo);
}
